
D4Science Infrastructure - Task #12352

Add new VO scope D4OS to all the dataminer instances

Aug 30, 2018 11:13 AM - Roberto Cirillo

Status: Closed Start date: Aug 30, 2018

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: new Vo creation: D4OS   

Infrastructure: Production   

Description

It's needed to remove the old Edison scope and to add the new Vo scope D4OS to all the dataminer instances.

In particular, we should provide a new ansible role in order to do the following steps:

remove the Edison scope

remove the old Edison key

add the new D4OS VO scope

add the new D4OS key

upgrade the library common-scope-maps to the 1.0.9-4.13 version

Related issues:

Related to D4Science Infrastructure - Task #12087: Remove services from Ediso... Closed Jul 02, 2018

Blocked by D4Science Infrastructure - Task #12345: Create new VO "D4OS" in pr... Closed Aug 30, 2018

History

#1 - Aug 30, 2018 11:14 AM - Roberto Cirillo

- Blocked by Task #12345: Create new VO "D4OS" in production environment added

#2 - Aug 30, 2018 03:41 PM - Roberto Cirillo

- Status changed from New to In Progress

#3 - Sep 03, 2018 05:16 PM - Roberto Cirillo

- % Done changed from 0 to 80

It's needed to add the garr instances deployed at Palermo site.

At this moment only ip-90-147-188-138.pa1.garrservices.it is running under D4OS VO.

#4 - Sep 05, 2018 10:22 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Andrea Dell'Amico

#7 - Sep 05, 2018 11:00 AM - Andrea Dell'Amico

Done. I also added a task to force the removal of the state directory from inside the main playbook so there's no need to run another one. To activate

the task, the option "-e 'smartgears_force_remove_state=True'" must be passed to the playbook command line.

#8 - Sep 05, 2018 11:25 AM - Roberto Cirillo

OK, thanks. Now I see only these VM from Palermo site running under the new VO D4OS:

ip-90-147-188-127.pa1.garrservices.it

ip-90-147-188-134.pa1.garrservices.it

ip-90-147-188-138.pa1.garrservices.it

 Could you run the playbook using the dataminer_garr_genericworkers_ubuntu group ?

The missing hosts are the following:

ip-90-147-188-144.pa1.garrservices.it

ip-90-147-188-141.pa1.garrservices.it
ip-90-147-188-145.pa1.garrservices.it

ip-90-147-188-123.pa1.garrservices.it

ip-90-147-188-146.pa1.garrservices.it

ip-90-147-188-147.pa1.garrservices.it 

ip-90-147-188-139.pa1.garrservices.it 

#9 - Sep 05, 2018 11:29 AM - Andrea Dell'Amico

It's running.

#10 - Sep 05, 2018 02:34 PM - Roberto Cirillo

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

Now all the instances are running under D4OS VO.

#11 - Sep 05, 2018 03:06 PM - Roberto Cirillo

- Related to Task #12087: Remove services from Edison VO added
